{"type":"api","title":"Retrieve endpoint local network topology","meta":{"id":"/apps/pubhub/media/000-v7-apis/805c8c263288cb8b508ba6a258b72098eef57120/85928a65-da17-3012-a6df-bb224dd8278a","info":{"title":"Endpoint Test Results API","version":"7.0.91","description":"Retrieve results for scheduled and dynamic tests on endpoint agents."},"security":[{"BearerAuth":[]}],"tags":[{"name":"Network Endpoint Scheduled Test Results"},{"name":"HTTP Server Endpoint Scheduled Test Results"},{"name":"Network Dynamic Endpoint Test Results"},{"name":"Real User Endpoint Test Results"},{"name":"Local Network Endpoint Test Results"}],"openapi":"3.0.1","servers":[{"description":"ThousandEyes API production URL","url":"https://api.thousandeyes.com/v7"}],"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Bearer authentication token"}}},"spec":{"tags":["Local Network Endpoint Test Results"],"summary":"Retrieve endpoint local network topology","description":"Returns detailed data of a local network topology.\n","operationId":"getLocalNetworksTestResultsTopology","parameters":[{"name":"networkTopologyId","description":"The network topology ID.","required":true,"in":"path","schema":{"type":"string","example":"00160:39c518560de9:1491651900:236e6f18"},"$$ref":"#/components/parameters/NetworkTopologyIdPath"},{"name":"aid","in":"query","description":"A unique identifier associated with your account group. You can retrieve your `AccountGroupId` from the `/account-groups` endpoint. Note that you must be assigned to the target account group. Specifying this parameter without being assigned to the target account group will result in an error response.","required":false,"schema":{"type":"string","example":"1234"},"$$ref":"#/components/parameters/AccountGroupId"},{"name":"expand","in":"query","style":"form","explode":false,"description":"This parameter is optional and determines whether to expand resources related to local network topologies. By default, no expansion occurs when this query parameter is omitted. To expand a specific resource, such as `systemMetricDetails`, append `?expand=system-metric-detail` to the query.","schema":{"type":"array","items":{"type":"string","enum":["system-metric-detail","user-profile"],"example":"system-metric-detail","$$ref":"#/components/schemas/ExpandLocalNetworkTopologyOptions"},"example":["system-metric-detail"]},"$$ref":"#/components/parameters/ExpandLocalNetworkTopology"}],"responses":{"200":{"description":"OK","content":{"application/hal+json":{"schema":{"type":"object","properties":{"results":{"type":"array","items":{"type":"object","properties":{"agentId":{"type":"string","format":"uuid","description":"Unique ID of endpoint agent, from `/endpoint/agents` endpoint.","example":"861b7557-cd57-4bbb-b648-00bddf88ef49","readOnly":true,"$$ref":"#/components/schemas/EndpointAgentId"},"date":{"type":"string","format":"date-time","description":"UTC date when endpoint network topology took place (ISO date-time format).","example":"2022-07-17T22:00:54Z","readOnly":true},"networkTopologyId":{"type":"string","description":"Network topology ID. Each network topology occurrence has a unique ID.","example":"00160:54c3a4b180c6:1490536500:c7a58c49","readOnly":true},"dnsServerTest":{"type":"object","description":"DNS server test details. This object is only available when the topology `type` is `dns`.","properties":{"resolutionTime":{"type":"integer","description":"How long it took to resolve the DNS query in milliseconds.","example":3,"readOnly":true}},"$$ref":"#/components/schemas/LocalNetworkTopologyDnsServerTest"},"roundId":{"type":"integer","description":"Epoch time (seconds) indicating the start time of the round.","example":1384309800,"readOnly":true,"$$ref":"#/components/schemas/RoundId"},"target":{"type":"string","description":"IP of the target the network topology was performed against. This is typically a default gateway, proxy or VPN endpoint.","example":"10.0.2.2","readOnly":true},"targetPort":{"type":"integer","description":"Port of the target the network topology was performed against.","example":80,"readOnly":true},"type":{"type":"string","enum":["vpn","proxy","gateway","dns","unknown"],"example":"vpn","$$ref":"#/components/schemas/NetworkTopologyType"},"icmpPing":{"type":"object","properties":{"avgRtt":{"type":"integer","description":"Ping average response time.","example":7,"readOnly":true},"maxRtt":{"type":"integer","description":"Ping maximum response time.","example":66,"readOnly":true},"loss":{"type":"number","format":"double","description":"Network loss.","example":1,"readOnly":true},"meanDevRtt":{"type":"integer","description":"Ping mean standard deviation response time.","example":11,"readOnly":true},"minRtt":{"type":"integer","description":"Ping minimum response time.","example":1,"readOnly":true},"pktsReceived":{"type":"integer","description":"Ping packets received.","example":10,"readOnly":true},"pktsSent":{"type":"integer","description":"Ping packets sent.","example":10,"readOnly":true},"error":{"type":"string","description":"Only present when there is an error.","example":"An operation timed out.","readOnly":true},"infoFlags":{"type":"array","items":{"type":"string"},"example":["TE_INFO_ICMP_BLOCKED_BY_FIREWALL"],"readOnly":true,"$$ref":"#/components/schemas/ErrorFlags"}},"$$ref":"#/components/schemas/NetworkPing"},"isIcmpBlocked":{"type":"boolean","description":"Set to `true` if network target is blocking ICMP echo (ping) queries.","example":true,"readOnly":true,"$$ref":"#/components/schemas/IcmpBlocked"},"tcpConnect":{"type":"object","properties":{"rtt":{"type":"number","format":"double","description":"Represents the number of milliseconds required to establish TCP connectivity with the target","example":77.777,"readOnly":true},"errorCode":{"type":"string","description":"Only present when there is an error","example":"ERR_TIMED_OUT","readOnly":true},"error":{"type":"string","description":"Only present when there is an error","example":"An operation timed out.","readOnly":true},"infoFlags":{"type":"array","items":{"type":"string"},"example":["TE_INFO_ICMP_BLOCKED_BY_FIREWALL"],"readOnly":true,"$$ref":"#/components/schemas/ErrorFlags"}},"$$ref":"#/components/schemas/TcpConnect"},"systemMetrics":{"type":"object","properties":{"startTimeMs":{"type":"integer","format":"int64","description":"The start time of metrics collection, expressed in milliseconds since the Epoch.","example":1581508857327,"readOnly":true},"endTimeMs":{"type":"integer","format":"int64","description":"The end time of metrics collection, expressed in milliseconds since the Epoch.","example":1581508867333,"readOnly":true},"cpuUtilization":{"type":"object","properties":{"min":{"type":"number","format":"double","description":"The minimum sampled usage value recorded during the monitored period.","example":0.22,"minimum":0,"maximum":1,"readOnly":true},"max":{"type":"number","format":"double","description":"The maximum sampled usage value recorded during the monitored period.","example":0.75,"minimum":0,"maximum":1,"readOnly":true},"mean":{"type":"number","format":"double","description":"The mean (average) sampled usage value recorded during the monitored period.","example":0.55,"minimum":0,"maximum":1,"readOnly":true},"median":{"type":"number","format":"double","description":"The median sampled usage value recorded during the monitored period.","example":0.61,"minimum":0,"maximum":1,"readOnly":true},"stdDev":{"type":"number","format":"double","description":"The standard deviation of sampled usage values recorded during the monitored period.","example":0.01,"minimum":0,"maximum":1,"readOnly":true},"count":{"type":"integer","description":"The total number of samples collected during the monitored period.","example":150,"readOnly":true}},"$$ref":"#/components/schemas/CpuUtilization"},"physicalMemoryUsedBytes":{"type":"object","properties":{"min":{"type":"number","format":"double","description":"The minimum sampled memory usage value recorded during the monitored period.","example":1.2,"readOnly":true},"max":{"type":"number","format":"double","description":"The maximum sampled memory usage value recorded during the monitored period.","example":2.5,"readOnly":true},"mean":{"type":"number","format":"double","description":"The mean (average) value of memory usage sampled over the monitored period.","example":1.77,"readOnly":true},"median":{"type":"number","format":"double","description":"The median value of memory usage sampled over the monitored period.","example":1.85,"readOnly":true},"stdDev":{"type":"number","format":"double","description":"The standard deviation of memory usage sampled during the monitored period.","example":0.25,"readOnly":true},"count":{"type":"integer","description":"The total number of samples collected during the monitored period.","example":155,"readOnly":true}},"$$ref":"#/components/schemas/PhysicalMemoryUsedBytes"},"physicalMemoryTotalBytes":{"type":"integer","format":"int64","description":"Total physical memory of the system.","example":1024,"readOnly":true}},"$$ref":"#/components/schemas/SystemMetrics"},"systemMetricDetails":{"type":"object","description":"Details of system metrics that contain top applications by CPU/memory usage.\nNot populated by default.\n","properties":{"topCpuApplications":{"type":"array","description":"A list of applications that consume more than 2% of the CPU.","readOnly":true,"items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the application.","example":"Webex"},"totalCpu":{"type":"number","format":"double","description":"The total CPU usage by all application processes.","example":0.5},"totalMemoryPercentage":{"type":"number","format":"double","description":"The total percentage of memory used by all application processes.","example":0.22},"totalMemoryBytes":{"type":"integer","format":"int64","description":"The total memory in bytes used by all application processes.","example":1023334},"processes":{"type":"array","description":"A list of application processes.","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the process.","example":"Webex background"},"pid":{"type":"integer","description":"The process ID.","example":15632},"cpu":{"type":"number","format":"double","description":"The CPU usage by the process as a percentage (e.g., 0.5 for 50% CPU usage).","example":0.5},"memoryPercentage":{"type":"number","format":"double","description":"The memory usage by the process as a percentage (e.g., 0.22 for 22%).","example":0.22},"memoryBytes":{"type":"integer","format":"int64","description":"The memory usage by the process in bytes.","example":1023334}},"$$ref":"#/components/schemas/ProcessMetrics"}}},"$$ref":"#/components/schemas/ApplicationMetrics"}},"topMemoryApplications":{"type":"array","description":"A list of applications that consume more than 2% of the RAM.","readOnly":true,"items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the application.","example":"Webex"},"totalCpu":{"type":"number","format":"double","description":"The total CPU usage by all application processes.","example":0.5},"totalMemoryPercentage":{"type":"number","format":"double","description":"The total percentage of memory used by all application processes.","example":0.22},"totalMemoryBytes":{"type":"integer","format":"int64","description":"The total memory in bytes used by all application processes.","example":1023334},"processes":{"type":"array","description":"A list of application processes.","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the process.","example":"Webex background"},"pid":{"type":"integer","description":"The process ID.","example":15632},"cpu":{"type":"number","format":"double","description":"The CPU usage by the process as a percentage (e.g., 0.5 for 50% CPU usage).","example":0.5},"memoryPercentage":{"type":"number","format":"double","description":"The memory usage by the process as a percentage (e.g., 0.22 for 22%).","example":0.22},"memoryBytes":{"type":"integer","format":"int64","description":"The memory usage by the process in bytes.","example":1023334}},"$$ref":"#/components/schemas/ProcessMetrics"}}},"$$ref":"#/components/schemas/ApplicationMetrics"}}},"$$ref":"#/components/schemas/SystemMetricDetails"},"vpnScore":{"type":"object","properties":{"score":{"type":"number","format":"double","description":"A fine-grained score between 0 and 100.","example":100,"$$ref":"#/components/schemas/EndpointScoreNumeric"},"quality":{"type":"string","enum":["great","good","poor"],"example":"great","$$ref":"#/components/schemas/ApplicationScoreQuality"}},"$$ref":"#/components/schemas/EndpointProbeVpnScore"},"gatewayScore":{"type":"object","properties":{"score":{"type":"number","format":"double","description":"A fine-grained score between 0 and 100.","example":100,"$$ref":"#/components/schemas/EndpointScoreNumeric"},"quality":{"type":"string","enum":["great","good","poor"],"example":"great","$$ref":"#/components/schemas/ApplicationScoreQuality"}},"$$ref":"#/components/schemas/EndpointProbeGatewayScore"},"proxyScore":{"type":"object","properties":{"score":{"type":"number","format":"double","description":"A fine-grained score between 0 and 100.","example":100,"$$ref":"#/components/schemas/EndpointScoreNumeric"},"quality":{"type":"string","enum":["great","good","poor"],"example":"great","$$ref":"#/components/schemas/ApplicationScoreQuality"}},"$$ref":"#/components/schemas/EndpointProbeProxyScore"},"connectionScore":{"type":"object","properties":{"score":{"type":"number","format":"double","description":"A fine-grained score between 0 and 100.","example":100,"$$ref":"#/components/schemas/EndpointScoreNumeric"},"quality":{"type":"string","enum":["great","good","poor"],"example":"great","$$ref":"#/components/schemas/ApplicationScoreQuality"}},"$$ref":"#/components/schemas/EndpointProbeConnectionScore"},"agentScore":{"type":"object","properties":{"score":{"type":"number","format":"double","description":"A fine-grained score between 0 and 100.","example":100,"$$ref":"#/components/schemas/EndpointScoreNumeric"},"quality":{"type":"string","enum":["great","good","poor"],"example":"great","$$ref":"#/components/schemas/ApplicationScoreQuality"}},"$$ref":"#/components/schemas/EndpointProbeAgentScore"},"batteryMetrics":{"description":"Battery metrics for the endpoint agent.","type":"object","readOnly":true,"properties":{"batteryHealthNormalizedPercent":{"type":"number","format":"double","description":"Battery health as a normalized percentage (0-1).","example":0.92,"minimum":0,"maximum":1},"batteryLevel":{"description":"Battery level indicator.","type":"string","example":"medium","enum":["high","medium","low"],"$$ref":"#/components/schemas/BatteryLevel"},"batteryLevelNormalizedPercent":{"type":"number","format":"double","description":"Battery level as a normalized percentage (0-1).","example":0.3,"minimum":0,"maximum":1}},"required":["batteryLevel","batteryLevelNormalizedPercent"],"$$ref":"#/components/schemas/BatteryMetrics"},"cellularProfile":{"description":"Cellular network profile information for a mobile endpoint agent.","type":"object","readOnly":true,"properties":{"carrierName":{"type":"string","description":"Carrier name","example":"T-Mobile"},"networkGen":{"description":"Cellular network generation.","type":"string","example":"2g, 3g, 4g, 5g","$$ref":"#/components/schemas/CellularNetworkGen"},"networkSubtype":{"type":"string","description":"A real network subtype. It may be different from an advertised network type.","example":"LTE/HSPA"},"advertisedNetworkGen":{"description":"Cellular network generation.","type":"string","example":"2g, 3g, 4g, 5g","$$ref":"#/components/schemas/CellularNetworkGen"},"advertisedNetworkSubtype":{"type":"string","description":"Advertised Network subtype","example":"LTE/HSPA"},"rssi":{"type":"number","format":"double","description":"Received Signal Strength Indicator in dBm. Values are always negative.","example":-10},"rsrp":{"type":"number","format":"double","description":"Reference Signal Received Power in dBm. Values are always negative.","example":-30},"rscp":{"type":"number","format":"double","description":"Received Signal Code Power in dBm. Values are always negative or zero.","example":-30},"rsrq":{"type":"number","format":"double","description":"Reference Signal Received Quality in dBm. Values are always negative.","example":-30},"sinr":{"type":"number","format":"double","description":"Signal to Interference and Noise Ratio in dBm. It can be negative or positive.","example":20}},"$$ref":"#/components/schemas/CellularProfile"},"platform":{"description":"OS platform types. Platform \"linux\" was recently renamed to \"roomos\".","type":"string","enum":["windows","roomos","phoneos","elux","cisco-wireless","linux","mac","android","unknown"],"example":"mac","$$ref":"#/components/schemas/Platform"},"coordinates":{"type":"object","description":"Contains approximate GPS location of the endpoint agent, based on endpoint agent’s public IP address.","properties":{"latitude":{"type":"number","format":"double","description":"Numeric representations of GPS coordinates.","example":46.0552778,"readOnly":true},"location":{"type":"string","description":"Represents named geographical location.","example":"Slovenia","readOnly":true},"longitude":{"type":"number","format":"double","description":"Numeric representations of GPS coordinates.","example":14.5144444,"readOnly":true}},"$$ref":"#/components/schemas/RealUserEndpointTestCoordinates"},"networkProfile":{"type":"object","properties":{"ipAddress":{"type":"string","description":"Network IP address.","example":"10.0.0.13","readOnly":true},"subnetMask":{"type":"string","description":"Network subnet mask - only for IPv4.","example":"255.255.255.0","readOnly":true},"publicIpAddress":{"type":"string","description":"Network public IP address.","example":"84.255.241.1","readOnly":true},"localPrefix":{"type":"string","description":"Network local prefix.","example":"10.0.0.0","readOnly":true},"publicIpRange":{"type":"string","description":"Network public IP range.","example":"84.255.241.0-84.255.241.255","readOnly":true},"dnsServers":{"type":"array","description":"Network DNS servers.","example":["8.8.8.8","8.8.8.4"],"readOnly":true,"items":{"type":"string"}},"hardwareType":{"type":"string","example":"wireless","enum":["unknown","wireless","ethernet","modem","virtual","loopback","other"],"$$ref":"#/components/schemas/InterfaceHardwareType"},"interfaceName":{"type":"string","description":"Network interface name.","example":"en0","readOnly":true},"error":{"type":"string","description":"Only present when there is an error","example":"An operation timed out.","readOnly":true},"gateway":{"type":"string","description":"Network gateway address.","example":"10.0.0.1","readOnly":true},"wirelessProfile":{"type":"object","properties":{"ssid":{"type":"string","description":"Wireless network SSID.","example":"Internet for the masses","readOnly":true},"bssid":{"type":"string","description":"Wireless network BSSID.","example":"4c:ba:ba:f4:fa:fa","readOnly":true},"channel":{"type":"integer","description":"Wireless network channel.","example":1,"readOnly":true},"phyMode":{"type":"string","description":"Wireless network PHY mode.","example":"802.11n","readOnly":true},"rssi":{"type":"integer","description":"Wireless network RSSI.","example":-38,"readOnly":true},"noise":{"type":"integer","description":"Wireless network noise.","example":-95,"readOnly":true},"quality":{"type":"integer","description":"Wireless network quality.","example":100,"readOnly":true},"txRate":{"type":"integer","description":"Wireless network transmitted rate.","example":130,"readOnly":true},"vendor":{"type":"string","description":"Wireless network device vendor.","example":"Cisco","readOnly":true}},"$$ref":"#/components/schemas/NetworkWirelessProfile"},"proxyProfile":{"type":"object","properties":{"method":{"type":"string","description":"Proxy profile method.","example":"System","readOnly":true},"proxies":{"type":"array","items":{"type":"object","properties":{"bypass":{"type":"string","description":"Proxy bypass expression.","example":"*.local;169.254/16","readOnly":true},"proxy":{"type":"string","description":"Proxy mode.","example":"\u003cdirect\u003e","readOnly":true}},"$$ref":"#/components/schemas/NetworkProxy"}}},"$$ref":"#/components/schemas/NetworkProxyProfile"},"ethernetProfile":{"type":"object","properties":{"linkSpeed":{"type":"integer","description":"Ethernet profile link speed","example":860,"readOnly":true}},"$$ref":"#/components/schemas/EndpointTestEthernetProfile"},"previousInterface":{"type":"object","properties":{"ipAddress":{"type":"string","description":"Network IP address.","example":"10.0.0.13","readOnly":true},"subnetMask":{"type":"string","description":"Network subnet mask - only for IPv4.","example":"255.255.255.0","readOnly":true},"publicIpAddress":{"type":"string","description":"Network public IP address.","example":"84.255.241.1","readOnly":true},"localPrefix":{"type":"string","description":"Network local prefix.","example":"10.0.0.0","readOnly":true},"publicIpRange":{"type":"string","description":"Network public IP range.","example":"84.255.241.0-84.255.241.255","readOnly":true},"dnsServers":{"type":"array","description":"Network DNS servers.","example":["8.8.8.8","8.8.8.4"],"readOnly":true,"items":{"type":"string"}},"hardwareType":{"type":"string","example":"wireless","enum":["unknown","wireless","ethernet","modem","virtual","loopback","other"],"$$ref":"#/components/schemas/InterfaceHardwareType"},"interfaceName":{"type":"string","description":"Network interface name.","example":"en0","readOnly":true}},"$$ref":"#/components/schemas/NetworkInterface"}},"$$ref":"#/components/schemas/NetworkProfile","description":"Contains basic network connectivity parameters."},"icmpTraceroute":{"type":"object","properties":{"destination":{"type":"string","description":"The target IP address.","example":"13.32.22.232","readOnly":true},"error":{"type":"string","description":"Only present when there is an error","example":"An operation timed out.","readOnly":true},"infoFlags":{"type":"array","items":{"type":"string"},"example":["TE_INFO_ICMP_BLOCKED_BY_FIREWALL"],"readOnly":true,"$$ref":"#/components/schemas/ErrorFlags"},"internalErrors":{"type":"array","items":{"type":"string"},"example":["TE_INFO_ICMP_BLOCKED_BY_FIREWALL"],"readOnly":true,"$$ref":"#/components/schemas/ErrorFlags"},"hops":{"type":"array","items":{"type":"object","properties":{"hop":{"type":"integer","description":"The hop index.","example":1,"readOnly":true},"ipAddress":{"type":"string","description":"IP address of the hop.","example":"196.40.106.237","readOnly":true},"prefix":{"type":"string","description":"Prefix of IP address shown in CIDR.","example":"196.40.96.0/20","readOnly":true},"asn":{"type":"integer","description":"Unique number assigned to an organization (also referred to as service provider).","example":34779,"readOnly":true},"delay":{"type":"integer","description":"Hop delay","example":5,"readOnly":true},"mpls":{"type":"array","description":"Hop Multiprotocol Label Switching.","items":{"type":"string"},"example":["L=301472,E=0,S=1,T=1"],"readOnly":true},"name":{"type":"string","description":"The hop name.","example":"89-210-88-65.access.t-2.net","readOnly":true}},"$$ref":"#/components/schemas/TracerouteHop"}}},"$$ref":"#/components/schemas/Traceroute"},"icmpTraceroutes":{"type":"array","items":{"type":"object","properties":{"destination":{"type":"string","description":"The target IP address.","example":"13.32.22.232","readOnly":true},"error":{"type":"string","description":"Only present when there is an error","example":"An operation timed out.","readOnly":true},"infoFlags":{"type":"array","items":{"type":"string"},"example":["TE_INFO_ICMP_BLOCKED_BY_FIREWALL"],"readOnly":true,"$$ref":"#/components/schemas/ErrorFlags"},"internalErrors":{"type":"array","items":{"type":"string"},"example":["TE_INFO_ICMP_BLOCKED_BY_FIREWALL"],"readOnly":true,"$$ref":"#/components/schemas/ErrorFlags"},"hops":{"type":"array","items":{"type":"object","properties":{"hop":{"type":"integer","description":"The hop index.","example":1,"readOnly":true},"ipAddress":{"type":"string","description":"IP address of the hop.","example":"196.40.106.237","readOnly":true},"prefix":{"type":"string","description":"Prefix of IP address shown in CIDR.","example":"196.40.96.0/20","readOnly":true},"asn":{"type":"integer","description":"Unique number assigned to an organization (also referred to as service provider).","example":34779,"readOnly":true},"delay":{"type":"integer","description":"Hop delay","example":5,"readOnly":true},"mpls":{"type":"array","description":"Hop Multiprotocol Label Switching.","items":{"type":"string"},"example":["L=301472,E=0,S=1,T=1"],"readOnly":true},"name":{"type":"string","description":"The hop name.","example":"89-210-88-65.access.t-2.net","readOnly":true}},"$$ref":"#/components/schemas/TracerouteHop"}}},"$$ref":"#/components/schemas/Traceroute"}}},"$$ref":"#/components/schemas/LocalNetworkTopologyResult"}},"_links":{"type":"object","description":"A links object containing the self link.","readOnly":true,"properties":{"self":{"type":"object","description":"A hyperlink from the containing resource to a URI.","required":["href"],"properties":{"href":{"type":"string","description":"Its value is either a URI [RFC3986] or a URI template [RFC6570].","example":"https://api.thousandeyes.com/v7/link/to/resource/id"},"templated":{"type":"boolean","description":"Should be true when the link object's \"href\" property is a URI template."},"type":{"type":"string","description":"Used as a hint to indicate the media type expected when dereferencing the target resource."},"deprecation":{"type":"string","description":"Its presence indicates that the link is to be deprecated at a future date. Its value is a URL that should provide further information about the deprecation."},"name":{"type":"string","description":"Its value may be used as a secondary key for selecting link objects that share the same relation type."},"profile":{"type":"string","description":"A URI that hints about the profile of the target resource."},"title":{"type":"string","description":"Intended for labelling the link with a human-readable identifier"},"hreflang":{"type":"string","description":"Indicates the language of the target resource"}},"$$ref":"#/components/schemas/Link"}},"$$ref":"#/components/schemas/SelfLinks"}},"$$ref":"#/components/schemas/LocalNetworkTopologyDetailResults"}}}},"401":{"description":"Unauthorized","content":{"application/problem+json":{"schema":{"type":"object","properties":{"error":{"type":"string","example":"invalid_token"},"error_description":{"type":"string","example":"Invalid access token"}},"$$ref":"#/components/schemas/UnauthorizedError"}}},"$$ref":"#/components/responses/401"},"403":{"description":"Insufficient permissions to query endpoint","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"}}},"$$ref":"#/components/responses/403"},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"},"example":{"type":"about:blank","title":"URI Resource Not Found","status":404,"detail":"Details explaining if the 404 error is related to an invalid URI or a wrong ID","instance":"/v7"}}},"$$ref":"#/components/responses/404"},"429":{"description":"Exhausted rate limit for the organization","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"}}},"$$ref":"#/components/responses/429"},"500":{"description":"Internal server error","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"},"example":{"type":"about:blank","title":"Internal server error","status":500,"detail":"Optional detail about the internal error message.","instance":"/v7"}}},"$$ref":"#/components/responses/500"},"502":{"description":"Bad Gateway","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"}}},"$$ref":"#/components/responses/502"}},"__originalOperationId":"getLocalNetworksTestResultsTopology","security":[{"BearerAuth":[]}],"method":"get","path":"/endpoint/test-results/local-networks/topologies/{networkTopologyId}"}}